antiprism-0.23
Up Next

# UNSUPPORTED: twist - twist the edges of a polyhedron

Usage | Examples | Notes

## Usage

    Usage: twist [options] [input_file]

    Read a file in OFF format and twist the edges.
    If input_file is not given the program reads from standard input.

    Options
      -h,--help this help message (run 'off_util -H help' for general help)
      --version version information
      -c <cent> centre to twist about, in form "x_val,y_val,z_val"
                (default, "0,0,0")
      -t val    twist edges and amount between polyhedron (0.0) and dual (1.0)
      -s        output struts only
      -o <file> write output to file (default: write to standard output)

## Examples

Twist the edges of an icosahedron

    src_extra/twist -t 0.5 ico  | antiview -x f -v 0.03

## Notes

The twisted model is like a zig-zag tensegrity, but without the zig-zag; the strut and its string loop lie on a plane.

An edge of a polyhedron has two vertices on the ends and is flanked by two faces. In the dual these faces are associated with vertices, and so an edge can be associated with four coordinates: two polyhedron vertices and two dual vertices.

The other important point is the centre. This is the centre of reciprocation used to find the dual.

An edge of a polyhedron can be associated, by the vertices above, with an edge in the dual. The planes through these two edges and the centre intersect in a line through the centre. The centre of a twist edge, the same size as the polyhedron edge can be put on this line and the twist edge rotated about the line by t*90 degrees. Finally, the twist edge is translated by the proportion t between the centre of the polyhedron edge and the centre of the dual edge.

Finally, the twist edge segment is extended to see where it intersects the planes through its edge neighbours, then the extended edge is scaled (using the model centre) back to the original size.

Up: Programs and Documentation
Next: UNSUPPORTED: spidron - spidronise a polyhedron